Skip to content

Retrieve a resource request condition

Request

OAuth 2.0 scope:
  • okta.accessRequests.condition.read
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Retrieves a resource request condition

Path
resourceIdstringrequired

Unique identifier for the resource in Okta instance ID format or ORN format

requestConditionIdstring, (request-condition-id), = 20 characters(request-condition-id)rco[0-9a-zA-Z]+required

Unique identifier for the request condition

Example:rcord7d69lUIn7u5D1d5
GET
/governance/api/v2/resources/{resourceId}/request-conditions/{requestConditionId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/resources/{resourceId}/request-conditions/rcord7d69lUIn7u5D1d5'

Responses

A successful resource request condition get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
namestring, [ 1 .. 255 ] charactersrequired

Writable unique key on create. Modifiable on update.

descriptionstring, [ 1 .. 2000 ] characters

Human readable description

idstring, (request-condition-id), = 20 characters(request-condition-id)rco[0-9a-zA-Z]+required

Unique identifier for the object

Example:"rcord7d69lUIn7u5D1d5"
createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

statusstring(request-condition-status)required

status indicating if this condition is active or not. Default status is INACTIVE

Enum:"ACTIVE""INACTIVE""INVALID""DELETED"
priorityinteger, >= 0(priority)required

The priority of the condition. The smaller the number, the higher the priority. The highest priority is 0. A new condition will default to the lowest priority.

requesterSettingsobject(requester-settings-full_RequesterSettings)required
accessScopeSettingsobject(access-scope-settings-full_AccessScopeSettings)required
accessDurationSettingsobject(access-duration-settings-full)
approvalSequenceIdstring, = 24 characters(approval-sequence-id-read-only)

If an approval sequence was deleted, then conditions referencing it will become invalid and the approvalSequenceId will not be present.

Response
Full representation of a request condition
{ "id": "rcob0oNGTSWTBKOLGLNR", "name": "Default resource access", "description": "This is a condition for requesting default resource access", "approvalSequenceId": "61eb0f06c462d20007f051ac", "requesterSettings": { "type": "EVERYONE" }, "accessScopeSettings": { "type": "RESOURCE_DEFAULT" }, "accessDurationSettings": { "type": "ADMIN_FIXED_DURATION", "duration": "P2W" }, "priority": 0, "status": "ACTIVE", "created": "2019-08-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2019-08-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "_links": { "self": {} } }